Bug 1299016 - [RFE] Ability to use tokenized authentication for rest API.
[RFE] Ability to use tokenized authentication for rest API.
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
Unspecified
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-15 12:20 EST by ebills
Modified: 2017-04-04 01:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 8852 None None None 2016-01-15 12:20 EST

  None (edit)
Description ebills 2016-01-15 12:20:55 EST
Description of problem:
This RFE requests the ability to utilize the Satellite 6 API via a token or key based authentication.  

Nordstrom (the customer requesting this RFE) would like to reduce the security exposure currently in place because of the reliance on user/pass based authentication.

This relates to Foreman request 8852:  http://projects.theforeman.org/issues/8852
Comment 3 Evgeni Golov 2017-02-01 13:39:45 EST
Is this a dupe of https://bugzilla.redhat.com/show_bug.cgi?id=1154382?

Note You need to log in before you can comment on or make changes to this bug.